libsdl1.2debian-pulseaudio should be seeded by default in pulse-enabled derivatives

Bug #203158 reported by Roberto Cássio Jr. on 2008-03-17
302
This bug affects 53 people
Affects Status Importance Assigned to Milestone
libsdl1.2 (Ubuntu)
Medium
Ubuntu Desktop Bugs
Nominated for Lucid by DavidLam
pulseaudio (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by DavidLam

Bug Description

Binary package hint: libsdl1.2debian

I've tested some games using libSDL (like SuperTuxKart), and I've noticed that sometimes game sound doesn't work because the audio playback is in use ("ALSA lib pcm_dmix.c:874:(snd_pcm_dmix_open) unable to open slave" message). Or, if the game started before a system sound, the system sounds (gnome sounds, and programs like rhythmbox) don't work.

I think that, since the libsdl1.2debian-pulseaudio package is in the repositories, installing it as default would (instead of the ALSA one) would avoid those problems, which I believe that are being caused by conflicts with pulseaudio.

Maybe this should be considered even if those conflicts weren't happening, since PulseAudio is now set as the default sound system.

John Pham (jhnphm) wrote :

I've also had problems w/ no sound with freeciv and other games, and switching to the pulseaudio version fixes this.

Is this bug possible to be fixed without needing a freeze break (since it won't update the sdl package's version)?

i confirm the bug too.
i was trying to play xmoto which uses sdl and switching the pulseaudio sdl package fixes the problem

NY00123 (ny00) wrote :

After checking it with the Epiphany game, it seems like libsdl1.2debian-esd should be the default and not pulseaudio, as it currently works better. This is also what Fedora seems to use by default.
That should also be made with the SDL library in ia32-libs, which is currently the one with the ALSA backend.

ok, maybe what I've reported here is some kind of a duplicate of this? (if we're talking about SDL only)
https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/211698

NY00123, what problem did you have using libsdl1.2debian-pulseaudio which you didn't get using libsdl1.2debian-esd ?

Maybe it is a good idea to open a bug in the libsdl1.2debian-pulseaudio, if it isn't working as good the other one.

I believe that, if the goal is to switch everything (or almost) to use PulseAudio, it's better to fix libsdl1.2debian-pulseaudio bugs, so it can be used as default without problems. It's just my opinion, though, I'm not an Ubuntu guru neither an experienced contributor or anything like that.

I think your bug is not a duplicate of this, but adds another relevant thing to resolve for the "cleanup audio mess" task.

Dan Ziemba (zman0900) wrote :

I have tried using libsdl1.2debian-alsa, pulseaudio, and esd. Alsa never works with my sdl game, pulseaudio works, but sound is very stuttery, and esd works, but there is about a 1 second delay (very bad for shooter type games).

has anyone tried the fixes in bug #198453, specifically conn's fixes at http://ubuntuforums.org/showthread.php?t=789578&page=1

i now have sdl games appearing in pavucontrol (so properly going through pulseaudio) meaning i have no more problems with there being no sound. i have tried xmoto and supertuxkart

sorry, i should say, the above was using libsdl1.2debian-alsa, the package installed by default

Hew McLachlan (hew) wrote :

libsdl1.2debian-pulseaudio should be used instead of -alsa, now that Ubuntu uses pulseaudio by default. Bug 216397 should be fixed before this is done.

Changed in libsdl1.2:
importance: Undecided → Medium
status: New → Triaged
Rhonda D'Vine (rhonda) wrote :

Hi!

Can this *PLEASE* be done? The libsdl1.2debian package still pulls in the -alsa package by default, even though there are ubuntu specific patches to the bug. Pretty please (with sugar on top!) do at least switch the dependency ordering of the libsdl1.2debian package to have the -pulseaudio flavour as *first* depends instead -alsa being there.

This would reduce a *lot* of bugreports against various SDL applications about issues with hanging sound and whatsnot....

Pretty pretty pretty please, soonish.
Rhonda

Rhonda D'Vine (rhonda) wrote :

triaged for well over a year doesn't sound plausible for me, to be honest ...

Changed in libsdl1.2 (Ubuntu):
status: Triaged → Confirmed
Everthon Valadão (valadao) wrote :

+1 vote for libsdl1.2debian-pulseaudio

bereshit (vendetta7) wrote :

confirm

wesnoth after 10 minutes of play left without sound and the CPU reaches 100% if you try to exit

fixed by installing sdl-pulseaudio

studentz (studenz) wrote :

Kdenlive have the same problem Installing libsdl1.2debian-pulseaudio fixed this problem

bouligab (bouligab) wrote :

+1 for comment #13 by bereshit

Hew McLachlan (hew) wrote :

Playing Nexuiz would cause sound to randomly break system-wide, especially when other applications were using sound as well. I have tested libsdl1.2debian-pulseaudio for about a month now, and it has solved the problem.

Nathan Adams (nadams) wrote :

I can confirm comment #13. See also bug #489792.

Alkis Georgopoulos (alkisg) wrote :

I also experience this problem on Karmic (LP: #460577, LP: #484714).

Please fix it for Lucid, by putting libsdl1.2debian-pulseaudio first in the libsdl1.2debian dependencies:
Depends: libsdl1.2debian-pulseaudio | libsdl1.2debian-all | libsdl1.2debian-alsa | libsdl1.2debian-esd | libsdl1.2debian-oss | libsdl1.2debian-nas

Gabe Gorelick (gabegorelick) wrote :

Looking at the archive for Lucid, this doesn't appear fixed yet. It still lists the alsa version first in its recommended dependencies.

Gary Trakhman (gary-trakhman) wrote :

Once again, please fix this by making libsdl1.2-pulseaudio the default, affects me too.

Hew McLachlan (hew) on 2009-12-26
tags: added: bitesize
Changed in libsdl1.2 (Ubuntu):
status: Confirmed → Triaged
boballen55 (boballen55) wrote :

I am seconding studentz post that this fixes my soudn issues with Kdenlive.

Alkis Georgopoulos (alkisg) wrote :

It looks like this isn't going to be fixed easily.

They don't want to put libsdl1.2debian-pulseaudio as the first dependency of libsdl1.2debian, because Kubuntu and Xubuntu don't use pulseaudio by default, and that would break them. So Ubuntu remains broken instead.

Also,
 * libsdl1.2debian-pulseaudio is in universe
 * libsdl1.2debian-alsa is in main
 * libsdl1.2debian-alsa is part of the ubuntu-desktop task

Furthermore, on the live CD, gimp was the only package that depended on libsdl1.2debian. Now that gimp is out, maybe libsdl will also be removed.

So for this bug to be fixed, libsdl1.2debian-pulseaudio should go into main, and it should be put in ubuntu-desktop's task-packages. I'm not too optimistic about this... :-(

Toni Ruottu (toni-ruottu) wrote :

So where is the bug that prevents different systems for having different default backends? Should we consider this a bug in apt-get? Or should we separate Kubuntu and Xubuntu, from Ubuntu?

Changed in hundredpapercuts:
status: New → Invalid
Toni Ruottu (toni-ruottu) wrote :

Also, does the alsa-backend work on Kubuntu and Xubuntu. If it is working there, why not on Ubuntu? Does PulseAudio break alsa? Why is that not a bug in alsa or pulseaudio?

Hew McLachlan (hew) wrote :

Would a solution be to make libsdl1.2debian-all the first dependency?

bojo42 (bojo42) on 2010-01-05
Changed in libsdl1.2 (Ubuntu):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
bojo42 (bojo42) wrote :

this issue is really critical, because for users of Ubuntu (with default GNOME/PulseAudio/SDL) it can also "cause their GUI to hang" when they try quit a full screen app that uses SDL for audio. of course it won't crash their X, but they need to switch to a VT and run CLI commands for killing the process to get back to their desktop. that can fixed manually by installing the pulse package, but that isn't what we can call user friendly. that's why i assigned the bug to Ubuntu Desktop Bugs.

João Pinto (joaopinto) wrote :

Bug 454879 while related to this bug is not a duplicated, this bug report is about a change request to a dependency, bug 454879 is about the bug that affects libsdl1.2-alsa which should be fixed regardless if libsdl1.2debian-pulseaudio is default or not.

bojo42 (bojo42) wrote :

@João: i think both reports are about the issue that the combination of libsdl1.2debian-alsa and PulseAudio doesn't work well. making libsdl1.2debian-pulseaudio default is only the proposed solution as on a standard Ubuntu desktop with PulseAudio running libsdl1.2debian-pulseaudio seems the cleanest solution. and on bug 454879 all people confirmed that libsdl1.2debian-pulseaudio is a already working fix.

why forcing the alsa output when we have a pulse module? or does libsdl1.2debian-alsa also cause problems without pulse? i think the problem is "only" how to adapt the packaging so that the pulse module of sdl gets only used in combination with the running pulse server and the rest of the cases get their matching modules.

but thinking about all this: the seperate packaging may be a bit to inflexible anyway and at best sdl should decide at runtime which output solution would be the sanest.

i changed the title as a possibly solution should be the name of the bug.

Changed in pulseaudio (Ubuntu):
status: New → Confirmed
summary: - libsdl1.2debian-pulseaudio must be installed as default by
- libsdl1.2debian
+ SDL's default configuration doesn't work with PulseAudio
bojo42 (bojo42) wrote :

oops: ... shouldn't be the name of the bug.

Alkis Georgopoulos (alkisg) wrote :

I don't think the new title is appropriate.

Bug #269082 was marked as a duplicate of this one, because both of them were requesting specifically for SDL to *use* PulseAudio by default, not just to "work" when PulseAudio is also installed.

In other words: if libsdl1.2debian-alsa is fixed so that it works when pulseaudio is installed (or the other way around), all workstation users will be happy.
But LTSP users won't be happy, as the sound needs to go through the network to reach the thin clients. So LTSP only works properly if libsdl1.2debian-pulseaudio is installed instead of libsdl1.2debian-alsa.

So there are 2 seperate issues to be addressed. It'd be better if the title was restored, or if #269082 was marked as not being a duplicate of this one.

Hew McLachlan (hew) on 2010-01-06
summary: - SDL's default configuration doesn't work with PulseAudio
+ libsdl1.2debian-pulseaudio must be installed as default by
+ libsdl1.2debian

I read in LP #128447 that
 * installing libsdl1.2debian-all instead of libsdl1.2debian-pulseaudio,
 * and setting SDL_AUDIODRIVER=pulse in the environment
would have about the same results as installing libsdl1.2debian-pulseaudio.

I tried it and it works fine for me.

So maybe instead of requesting for libsdl1.2debian-pulseaudio to be the default in Ubuntu, while libsdl1.2debian-alsa to remain the default in [K|X]ubuntu, maybe all derivatives could use libsdl1.2debian-all instead, and Ubuntu specifically to have SDL_AUDIODRIVER=pulse set in the environment? (libsdl1.2debian-all is in main)

That's a nice approach,

Happy New Year !

On Thu, Jan 7, 2010 at 1:57 AM, Alkis Georgopoulos <email address hidden> wrote:

> I read in LP #128447 that
> * installing libsdl1.2debian-all instead of libsdl1.2debian-pulseaudio,
> * and setting SDL_AUDIODRIVER=pulse in the environment
> would have about the same results as installing libsdl1.2debian-pulseaudio.
>
> I tried it and it works fine for me.
>
> So maybe instead of requesting for libsdl1.2debian-pulseaudio to be the
> default in Ubuntu, while libsdl1.2debian-alsa to remain the default in
> [K|X]ubuntu, maybe all derivatives could use libsdl1.2debian-all
> instead, and Ubuntu specifically to have SDL_AUDIODRIVER=pulse set in
> the environment? (libsdl1.2debian-all is in main)
>
> --
> libsdl1.2debian-pulseaudio must be installed as default by libsdl1.2debian
> https://bugs.launchpad.net/bugs/203158
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

If there's a fix to that, why not release it as a package? This has been a pain in the neck for me since I installed the FINAL release of Karmic, and I just decided to for gods sake solve several sound issues in once, purging pulseaudio.

Hold your horses, sheesh. For Lucid this bug is being resolved by
explicitly seeding the proper alternate of libsdl1.2debian in the
various *ubuntu-desktop seeds.

On Fri, Jan 15, 2010 at 2:38 AM, Rajoy <email address hidden> wrote:
> If there's a fix to that, why not release it as a package? This has been
> a pain in the neck for me since I installed the FINAL release of Karmic,
> and I just decided to for gods sake solve several sound issues in once,
> purging pulseaudio.

A much anticipated resolution!

Thank you Daniel :-)

Daniel T Chen (crimsun) on 2010-01-16
Changed in pulseaudio (Ubuntu):
status: Confirmed → Invalid
Gabe Gorelick (gabegorelick) wrote :

For all those who are curious, the fix Daniel mentioned is located at http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-seeds/ubuntu.lucid/revision/1632

Reinhard Tartler (siretart) wrote :

@alkisg: your comment #35 does not match my reading of the source code and observation with an sdl applciation: installing 'libsdl1.2debian-all' is enough, it will automatically first try ESD, then pulseaudio and then ALSA, so there is no need to forcing pulseaudio in the default case.

Reinhard Tartler (siretart) wrote :

@crimsun: I would suggest the following change:

=== modified file 'debian/control'
--- debian/control 2009-12-08 01:50:15 +0000
+++ debian/control 2010-01-18 12:14:57 +0000
@@ -12,7 +12,7 @@

 Package: libsdl1.2debian
 Architecture: any
-Depends: libsdl1.2debian-alsa (= ${binary:Version}) | libsdl1.2debian-all (= ${binary:Version}) | libsdl1.2debia\
n-esd (= ${binary:Version}) | libsdl1.2debian-oss (= ${binary:Version}) | libsdl1.2debian-nas (= ${binary:Version\
}) | libsdl1.2debian-pulseaudio (= ${binary:Version})
+Depends: libsdl1.2debian-all (= ${binary:Version}) | libsdl1.2debian-alsa (= ${binary:Version}) | libsdl1.2debia\
n-esd (= ${binary:Version}) | libsdl1.2debian-oss (= ${binary:Version}) | libsdl1.2debian-nas (= ${binary:Version\
}) | libsdl1.2debian-pulseaudio (= ${binary:Version})
 Description: Simple DirectMedia Layer
  SDL is a library that allows programs portable low level access to
  a video framebuffer, audio output, mouse, and keyboard.

Do you see a problem with that now that sdl is no longer on the live cd?

When was the change made to remove libsdl1.2 from the live cd? At
least as of the manifests for the 13 Jan (Ubuntu) Lucid/10.04
daily-live discs, libsdl1.2debian and libsdl1.2debian-alsa are still
present.

On Mon, Jan 18, 2010 at 7:15 AM, Reinhard Tartler <email address hidden> wrote:
> -Depends: libsdl1.2debian-alsa (= ${binary:Version}) | libsdl1.2debian-all (= ${binary:Version}) | libsdl1.2debia\
> n-esd (= ${binary:Version}) | libsdl1.2debian-oss (= ${binary:Version}) | libsdl1.2debian-nas (= ${binary:Version\
> }) | libsdl1.2debian-pulseaudio (= ${binary:Version})
> +Depends: libsdl1.2debian-all (= ${binary:Version}) | libsdl1.2debian-alsa (= ${binary:Version}) | libsdl1.2debia\
> n-esd (= ${binary:Version}) | libsdl1.2debian-oss (= ${binary:Version}) | libsdl1.2debian-nas (= ${binary:Version\
> }) | libsdl1.2debian-pulseaudio (= ${binary:Version})

For the sake of disc space use (or at least until we can confirm that
libsdl1.2 /has/ been removed from a respun Lucid daily-live), I think
it's better if we prefer -pulseaudio to -all in the alternate list. In
fact, I don't see a point now to change that since I've changed the
seeds (for ubuntu.lucid, kubuntu.lucid, xubuntu.lucid).

tags: added: metabug

Using libsdl1.2debian-pulseaudio or "export SDL_AUDIODRIVER=pulse" with -all doesn't make any difference for me. SDL audio is stil trash either way.

Vish (vish) on 2010-02-27
affects: hundredpapercuts → null
mattrenfer (mr-renfer) wrote :

Does this exist in Jaunty as well? I'm experiencing the same problems when using such applications like Wesnoth and TeeWorlds....also when I hear the startup sound...it's choppy.

I tried installing libsdl1.2debian-pulseaudio, but the problem still persists. The only thing that fixes is being able to quit out of Wesnoth/TeeWorlds without it locking up.

I'm on Karmic, so if I install Jaunty instead will that work until this gets resolved?

This symptom is resolved for the pulse and libsdl tasks in Lucid.

On Tue, Mar 9, 2010 at 1:50 PM, mattrenfer <email address hidden> wrote:
> Does this exist in Jaunty as well? I'm experiencing the same problems

I should add that my sound card is Intel AC97 ICH5 and according to this page, is supported:
http://www.alsa-project.org/main/index.php/Matrix:Vendor-Intel

mattrenfer (mr-renfer) wrote :

Daniel,

Should I install Lucid then? Isn't that still in development?

Is there nothing I can do on Karmic? Or should I just roll back to Jaunty?

Savvas Radevic (medigeek) wrote :

@Daniel, why isn't it set as "Fix released" then?

Savvas Radevic (medigeek) wrote :

@mattrenfer: on ubuntu karmic (9.10), you can install the package "libsdl1.2debian-pulseaudio".
It should fix the problems with the sound. If not, try setting the sound sample rate:

Settings (top menu) -> Sound (right menu) -> Sample rate: 48000

Then quit, and start teeworlds again. You could also try out 0.5.2:
32-bit: http://www.teeworlds.com/files/teeworlds-0.5.2-linux_x86.tar.gz
64-bit: http://www.teeworlds.com/files/teeworlds-0.5.2-linux_x86_64.tar.gz

mattrenfer (mr-renfer) wrote :

@Savvas Radevic:

I tried that and it did fix exiting those applications, but the sound was still very choppy.

Now do I set the sample rate only after I've installed libsdll-2debian-pulseaudio? Or before?

I will also give 0.5.2 a try before I do anything...but this problem is known to be in any application that uses SDL (Wesnoth is another one).

mattrenfer (mr-renfer) wrote :

@Savvas Redevic

By tried that, I meant I tried simply installing libsdll-2debian-pulseaudio.

Daniel T Chen (crimsun) wrote :

mattrenfer: please note that there are multiple issues being conflated in your symptom: linux, alsa-lib, alsa-plugins, pulseaudio, and libsdl1.2. You should probably try today's Lucid live cd to verify.

Changed in libsdl1.2 (Ubuntu):
status: Triaged → Fix Released
summary: - libsdl1.2debian-pulseaudio must be installed as default by
- libsdl1.2debian
+ libsdl1.2debian-pulseaudio should be seeded by default in pulse-enabled
+ derivatives
mattrenfer (mr-renfer) wrote :

@Daniel T Chen
Okay, I will try that since trying to do it in Karmic seems to be going nowhere.

@Savvas Radevic
The default sample rate in TeeWorlds is already 48000. I tried setting it to 41100, but changes to settings require the game to restart. I can't restart if I can't exit out of the game (I have to power off my computer because the game freezes when I try to hit quit).

mattrenfer (mr-renfer) wrote :

@Daniel T Chen

I installed Lucid completely, downloaded every update, and now I'm having trouble with getting my 3d graphics to work (in TeeWorlds they are horribly choppy, as well as on the desktop even with low visuals) and my sound problem still persists.

I can exit from TeeWorlds, which is a plus. But I cannot hear sound at all now in TeeWorlds.

Daniel T Chen (crimsun) wrote :

mattrenfer: I'm pretty sure your symptoms are not related to libsdl1.2debian-pulseaudio at this point. Since you've installed, can you use linux-alsa-driver-modules from ppa:ubuntu-audio-dev ?

Alkis Georgopoulos (alkisg) wrote :

> I can exit from TeeWorlds, which is a plus. But I cannot hear sound at all now in TeeWorlds.

TeeWorlds has a packaging problem in Lucid, for which I've sent a patch but it wasn't (yet?) integrated:
https://bugs.launchpad.net/ubuntu/+source/teeworlds/+bug/521633

Try starting with the live cd again, then running
  sudo gedit /usr/games/teeworlds
and modifying
  BASE_PATH=/usr/share/games/teeworlds
to
  BASE_PATH=/usr/share/games/teeworlds/data
in order for the sound to work.

About your low framerates, they should be related to the graphics driver (e.g. if you have nvidia, you'd need to install the proprietary drivers after the Lucid installation on your hard drive).

mattrenfer (mr-renfer) wrote :

@Daniel T Chen

What exactly do I download from the Synaptic Manager? I want to make sure I'm installing the right thing. Not sure what ppa:ubuntu-audio-dev means (just switched from Windows XP to ubuntu)

@ Alkis

I have an ATI Mobility Radeon 9600. Should I be installing the proprietary drivers for this on Lucid? I was told not to for Karmic.

boballen55 (boballen55) wrote :

mattrenfer, I've had some success with the ATI proprietary drivers so I think it would be worth a try for you. It appears your particular card only has legacy support so if the driver doesn't work very well for you you'd better go back to the open source one because there will not be any updates/upgrades. The driver should appear in System/Administrative/Hardware Drivers (if not then it can be downloaded here: http://support.amd.com/us/gpudownload/Pages/index.aspx Search the Ubuntu wiki for installation instructions).

mattrenfer (mr-renfer) wrote :

@boballeen55

The driver does not appear in System/Administrative/Hardware Drivers.

I will have to install it from the link you provided. Hopefully, it's not too difficult. Thanks.

mattrenfer (mr-renfer) wrote :

@boballen55

To be clear, should I be downloading and installing the ATI Catalyst Display Driver 9.3 from the site you gave me?

Is this different than the fglrx driver found here: https://help.ubuntu.com/community/BinaryDriverHowto/ATI ?

If it doesn't work, how would I go about uninstalling the Catalyst Display Driver?

boballen55 (boballen55) wrote :

That sounds like the right driver and that is the how to I used. You should be able to deactivated it at the System/Administrative/Hardware Drivers tool after it is installed.

mattrenfer (mr-renfer) wrote :

@boballen55

This is what I did once I downloaded it:
https://help.ubuntu.com/community/InstallingRunPackage

Problem is: the installation stops cold in its tracks and the terminal quits only after 10 seconds or so. Is there any way I can see a log file of what happened? The error text that pops up disappears too quick for me to read.

mattrenfer (mr-renfer) wrote :

@boballen55

I even tried doing everything from the terminal like the How To guide you used said. This time, my terminal stayed open when the error occured. I've attached the log for your viewing.

Alkis Georgopoulos (alkisg) wrote :

@mattrenfer: I don't think any graphics driver problems belong in this bug report.
Please open another bug report for that.

For the teeworlds sound problem, an updated package has become available, so if you update your system you should have working sound.
If not, please comment on https://bugs.launchpad.net/ubuntu/+source/teeworlds/+bug/521633, which is specific to teeworlds.

Bela Lubkin (filbo) wrote :

This seems to have been fixed by making ubuntu-desktop depend on both libsdl1.2debian _and_ libsdl1.2debian-pulseaudio.

libsdl1.2debian-pulseaudio conflicts with all other variants, including libsdl1.2debian-all. So now, Ubuntu users cannot swap in any of the other flavors without breaking the master "ubuntu-desktop" package. I know that doesn't remove anything; but as the ubuntu-desktop package description says, "it is also used to help ensure proper upgrades, so it is recommended that it not be removed". I _do_ want my system to follow the general flow of Ubuntu configuration changes.

There are two compelling reasons to be able to swap in other versions of this library:

- For debugging/troubleshooting sound issues. It can help an end user troubleshoot or work around problems with a particular app; or general system sound problems. An app developer might also want to check behavior with different sound back-ends.

- To use different SDL _graphics_ back-ends. libsdl1.2debian-all is documented as: "compiled with X11, aalib and ggi graphics drivers and oss, esound, alsa, nas and pulseaudio sound drivers". It doesn't just have extra audio, but also extra video support. (The "all" build I grabbed doesn't actually have GGI or svgalib enabled; GGI explicitly disabled in debian/rules, SVGA looks like the build machine didn't have the right stuff installed.)

Can't .deb dependencies express "If libsdl is needed, install -pulseaudio by default; ubuntu-desktop depends on either -pulseaudio or -all"? Then users would have the ability to change it without pulling out the master ubuntu-desktop package.

Since -all can be retargeted with SDL_AUDIODRIVER and SDL_VIDEODRIVER environment variables, it should be sufficient to allow those two. Limiting to just -pulseaudio is, well, rather sharply limiting...

m4v (m4v) wrote :

Kubuntu is using pulseaudio now, isn't that correct? I'm using Kubuntu Natty and I had choppy sound until I installed libsdl1.2debian-pulseaudio.

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments